VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmAdsensemaker 
   Caption         =   "UserForm1"
   ClientHeight    =   6015
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7155
   OleObjectBlob   =   "frmAdsensemaker.frx":0000
   StartUpPosition =   1  'Fenstermitte
End
Attribute VB_Name = "frmAdsensemaker"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'---------------------------------------------------------------------------------------
' Module    : frmAdsensemaker
' DateTime  : 06.01.2008 16:16
' Author    : Burkhard Schlutt
' Purpose   : Formular Adsensemaker, wird durch Start_Adsensemaker aufgerufen
'---------------------------------------------------------------------------------------
Option Explicit
Dim ImgElementAnzeigenblockAktiv As Integer

Private Sub CboAnzeigenblockFarbvorlage_Change()
Select Case CboAnzeigenblockFarbvorlage.ListIndex
  Case 0 'Google-Standard
    TbAnzeigenblockBorder.text = "FFFFFF" 'Rahmen
    TbAnzeigenblockBg.text = "FFFFFF" 'Hintergrund
    TbAnzeigenblockLink.text = "0000FF" 'Titel
    TbAnzeigenblockUrl.text = "008000" 'Url
    TbAnzeigenblockText.text = "000000" 'Text
  Case 1 'Maritim
    TbAnzeigenblockBorder.text = "FFFFFF" 'Rahmen
    TbAnzeigenblockBg.text = "FFFFFF" 'Hintergrund
    TbAnzeigenblockLink.text = "0000FF" 'Titel
    TbAnzeigenblockUrl.text = "008000" 'Url
    TbAnzeigenblockText.text = "000000" 'Text
  Case 2 'Ozean
    TbAnzeigenblockBorder.text = "336699" 'Rahmen
    TbAnzeigenblockBg.text = "FFFFFF" 'Hintergrund
    TbAnzeigenblockLink.text = "0000FF" 'Titel
    TbAnzeigenblockUrl.text = "008000" 'Url
    TbAnzeigenblockText.text = "000000" 'Text
  Case 3 'Schatten
    TbAnzeigenblockBorder.text = "000000" 'Rahmen
    TbAnzeigenblockBg.text = "F0F0F0" 'Hintergrund
    TbAnzeigenblockLink.text = "0000FF" 'Titel
    TbAnzeigenblockUrl.text = "008000" 'Url
    TbAnzeigenblockText.text = "000000" 'Text
  Case 4 'Blaue Mischung
    TbAnzeigenblockBorder.text = "6699CC" 'Rahmen
    TbAnzeigenblockBg.text = "003366" 'Hintergrund
    TbAnzeigenblockLink.text = "FFFFFF" 'Titel
    TbAnzeigenblockUrl.text = "AECCEB" 'Url
    TbAnzeigenblockText.text = "AECCEB" 'Text
  Case 5 'Tinte
    TbAnzeigenblockBorder.text = "000000" 'Rahmen
    TbAnzeigenblockBg.text = "000000" 'Hintergrund
    TbAnzeigenblockLink.text = "FFFFFF" 'Titel
    TbAnzeigenblockUrl.text = "999999" 'Url
    TbAnzeigenblockText.text = "CCCCCC" 'Text
  Case 6 'Graphit
    TbAnzeigenblockBorder.text = "CCCCCC" 'Rahmen
    TbAnzeigenblockBg.text = "CCCCCC" 'Hintergrund
    TbAnzeigenblockLink.text = "000000" 'Titel
    TbAnzeigenblockUrl.text = "666666" 'Url
    TbAnzeigenblockText.text = "333333" 'Text
  Case 7 'Benutzerdefiniert
End Select
ImgAnzeigenblockBorder.BackColor = "&H" & TbAnzeigenblockBorder.Value
ImgAnzeigenblockBg.BackColor = "&H" & TbAnzeigenblockBg.Value
ImgAnzeigenblockLink.BackColor = "&H" & TbAnzeigenblockLink.Value
ImgAnzeigenblockUrl.BackColor = "&H" & TbAnzeigenblockUrl.Value
ImgAnzeigenblockText.BackColor = "&H" & TbAnzeigenblockText.Value
End Sub

Private Sub cmdSchreiber_Click()
Dim mydata As DataObject
If OpbAnzeigenblockDivOptJA = True Then
  TbOutput.text = DivB1 & TbAnzeigenblockBreite.text
  TbOutput.text = TbOutput.text & DivB2 & TbAnzeigenblockHoehe.text
  TbOutput.text = TbOutput.text & DivB3 & DivB4 & TbAnzeigenblockLinks.text
  TbOutput.text = TbOutput.text & DivB5 & TbAnzeigenblockOben.text
  TbOutput.text = TbOutput.text & DivB6 & vbCrLf
End If
TbOutput.text = TbOutput.text & JsVorspann1a & vbCrLf & JsVorspann2 & vbCrLf
TbOutput.text = TbOutput.text & GoClient & vbCrLf
TbOutput.text = TbOutput.text & GoWidth & TbAnzeigenblockBreite & ";" & vbCrLf
TbOutput.text = TbOutput.text & GoHeight & TbAnzeigenblockHoehe & ";" & vbCrLf
  Select Case CboAnzeigenblockFormate.ListIndex
    Case 0
      
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "728x90_as" & _
          Chr(34) & ";" & vbCrLf
    Case 1
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "468x60_as" & _
          Chr(34) & ";" & vbCrLf
    Case 2
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "234x60_as" & _
          Chr(34) & ";" & vbCrLf
    Case 3
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "120x600_as" & _
          Chr(34) & ";" & vbCrLf
    Case 4
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "160x600_as" & _
          Chr(34) & ";" & vbCrLf
    Case 5
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "120x240_as" & _
          Chr(34) & ";" & vbCrLf
    Case 6
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "336x280_as" & _
          Chr(34) & ";" & vbCrLf
    Case 7
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "300x250_as" & _
          Chr(34) & ";" & vbCrLf
    Case 8
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "250x250_as" & _
          Chr(34) & ";" & vbCrLf
    Case 9
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "200x200_as" & _
          Chr(34) & ";" & vbCrLf
    Case 10
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "180x150_as" & _
          Chr(34) & ";" & vbCrLf
    Case 11
      TbOutput.text = TbOutput.text & GoFormat & Chr(34) & "125x125_as" & _
          Chr(34) & ";" & vbCrLf
  End Select
'TbOutput.text = TbOutput.text & GoFormat & vbCrLf
  Select Case CboAnzeigenblockTyp.ListIndex
    Case 0
      TbOutput.text = TbOutput.text & GoType & Chr(34) & "text_image" & Chr(34) _
          & ";" & vbCrLf
    Case 1
      TbOutput.text = TbOutput.text & GoType & Chr(34) & "text" & Chr(34) & ";" _
          & vbCrLf
    Case 2
      TbOutput.text = TbOutput.text & GoType & Chr(34) & "image" & Chr(34) & _
          ";" & vbCrLf
  End Select
'TbOutput.text = TbOutput.text & GoType & vbCrLf
TbOutput.text = TbOutput.text & GoChannel & Chr(34) & Chr(34) & ";" & vbCrLf
TbOutput.text = TbOutput.text & GoBorder & Chr(34) & TbAnzeigenblockBorder.text _
    & Chr(34) & ";" & vbCrLf
TbOutput.text = TbOutput.text & GoBg & Chr(34) & TbAnzeigenblockBg.text & _
    Chr(34) & ";" & vbCrLf
TbOutput.text = TbOutput.text & GoLink & Chr(34) & TbAnzeigenblockLink.text & _
    Chr(34) & ";" & vbCrLf
TbOutput.text = TbOutput.text & GoText & Chr(34) & TbAnzeigenblockText.text & _
    Chr(34) & ";" & vbCrLf
TbOutput.text = TbOutput.text & GoUrl & Chr(34) & TbAnzeigenblockUrl.text & _
    Chr(34) & ";" & vbCrLf
TbOutput.text = TbOutput.text & JsNachspann1 & vbCrLf
TbOutput.text = TbOutput.text & JsNachspann2 & vbCrLf
TbOutput.text = TbOutput.text & JsVorspann1b & vbCrLf
TbOutput.text = TbOutput.text & JsCode & vbCrLf
TbOutput.text = TbOutput.text & JsNachspann2 & vbCrLf
If OpbAnzeigenblockDivOptJA = True Then
  TbOutput.text = TbOutput.text & DivE & vbCrLf
End If
MultiPage1.Value = 3
Set mydata = New DataObject
mydata.SetText TbOutput.text
mydata.PutInClipboard


End Sub

Private Sub ImgAnzeigenblockBorder_Click()
  ImgAnzeigenblockBorder.SpecialEffect = fmSpecialEffectSunken
  ImgAnzeigenblockBg.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockLink.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockText.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockUrl.SpecialEffect = fmSpecialEffectFlat
  ImgElementAnzeigenblockAktiv = 1
  TbAnzeigenblockUpdater (TbAnzeigenblockBorder.Value)
End Sub

Private Sub ImgAnzeigenblockBg_Click()
  ImgAnzeigenblockBorder.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockBg.SpecialEffect = fmSpecialEffectSunken
  ImgAnzeigenblockLink.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockText.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockUrl.SpecialEffect = fmSpecialEffectFlat
  ImgElementAnzeigenblockAktiv = 2
  TbAnzeigenblockUpdater (TbAnzeigenblockBg.Value)
End Sub

Private Sub ImgAnzeigenblockLink_Click()
  ImgAnzeigenblockBorder.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockBg.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockLink.SpecialEffect = fmSpecialEffectSunken
  ImgAnzeigenblockText.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockUrl.SpecialEffect = fmSpecialEffectFlat
  ImgElementAnzeigenblockAktiv = 3
  TbAnzeigenblockUpdater (TbAnzeigenblockLink.Value)
End Sub

Private Sub ImgAnzeigenblockText_Click()
  ImgAnzeigenblockBorder.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockBg.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockLink.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockText.SpecialEffect = fmSpecialEffectSunken
  ImgAnzeigenblockUrl.SpecialEffect = fmSpecialEffectFlat
  ImgElementAnzeigenblockAktiv = 4
  TbAnzeigenblockUpdater (TbAnzeigenblockText.Value)
End Sub

Private Sub ImgAnzeigenblockUrl_Click()
  ImgAnzeigenblockBorder.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockBg.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockLink.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockText.SpecialEffect = fmSpecialEffectFlat
  ImgAnzeigenblockUrl.SpecialEffect = fmSpecialEffectSunken
  ImgElementAnzeigenblockAktiv = 5
  TbAnzeigenblockUpdater (TbAnzeigenblockUrl.Value)
End Sub

Private Sub TbAnzeigenblockBorder_AfterUpdate()
ImgAnzeigenblockBorder.BackColor = "&H" & TbAnzeigenblockBorder.Value
TbAnzeigenblockUpdater (TbAnzeigenblockBorder.Value)
End Sub

Private Sub TbAnzeigenblockBg_AfterUpdate()
ImgAnzeigenblockBg.BackColor = "&H" & TbAnzeigenblockBg.Value
TbAnzeigenblockUpdater (TbAnzeigenblockBg.Value)
End Sub

Private Sub TbAnzeigenblockLink_AfterUpdate()
ImgAnzeigenblockLink.BackColor = "&H" & TbAnzeigenblockLink.Value
TbAnzeigenblockUpdater (TbAnzeigenblockLink.Value)
End Sub

Private Sub TbAnzeigenblockText_AfterUpdate()
ImgAnzeigenblockText.BackColor = "&H" & TbAnzeigenblockText.Value
TbAnzeigenblockUpdater (TbAnzeigenblockText.Value)
End Sub

Private Sub TbAnzeigenblockUrl_AfterUpdate()
ImgAnzeigenblockUrl.BackColor = "&H" & TbAnzeigenblockUrl.Value
TbAnzeigenblockUpdater (TbAnzeigenblockUrl.Value)
End Sub

Private Sub TbAnzeigenblockUpdater(ColorStr As String)
Dim rot As String, blau As String, gruen As String
rot = Mid(ColorStr, 1, 2)
gruen = Mid(ColorStr, 3, 2)
blau = Mid(ColorStr, 5, 2)
SbAnzeigenblock_rot.Value = Val("&H" & rot)
SbAnzeigenblock_gruen.Value = Val("&H" & gruen)
SbAnzeigenblock_blau.Value = Val("&H" & blau)
End Sub

Private Sub UserForm_Initialize()
CboAnzeigenblockFormate.AddItem ("728 x 90 Leaderboard")
CboAnzeigenblockFormate.AddItem ("468 x 60 Banner")
CboAnzeigenblockFormate.AddItem ("234 x 60 Half Banner")
CboAnzeigenblockFormate.AddItem ("120 x 600 Skyscrapper")
CboAnzeigenblockFormate.AddItem ("160 x 600 Wide Skyscrapper")
CboAnzeigenblockFormate.AddItem ("120 x 240 Vertikal Banner")
CboAnzeigenblockFormate.AddItem ("336 x 280 Large Rectangle")
CboAnzeigenblockFormate.AddItem ("300 x 250 Medium Rectangle")
CboAnzeigenblockFormate.AddItem ("250 x 250 Square")
CboAnzeigenblockFormate.AddItem ("200 x 200 Small Square")
CboAnzeigenblockFormate.AddItem ("180 x 150 Small Rectangle")
CboAnzeigenblockFormate.AddItem ("125 x 125 Button")
CboAnzeigenblockFormate.ListIndex = 0
CboAnzeigenblockTyp.AddItem ("Text-/Imageanzeigen")
CboAnzeigenblockTyp.AddItem ("nur Textzeigen")
CboAnzeigenblockTyp.AddItem ("nur Imagezeigen")
CboAnzeigenblockTyp.ListIndex = 0
CboAnzeigenblockFarbvorlage.AddItem ("Google-Standard")
CboAnzeigenblockFarbvorlage.AddItem ("Maritim")
CboAnzeigenblockFarbvorlage.AddItem ("Ozean")
CboAnzeigenblockFarbvorlage.AddItem ("Schatten")
CboAnzeigenblockFarbvorlage.AddItem ("Blaue Mischung")
CboAnzeigenblockFarbvorlage.AddItem ("Tinte")
CboAnzeigenblockFarbvorlage.AddItem ("Graphit")
CboAnzeigenblockFarbvorlage.AddItem ("Benutzer")
CboAnzeigenblockFarbvorlage.ListIndex = 0
End Sub


Private Sub SbAnzeigenblock_rot_Change()
SbAnzeigenblockChanger
End Sub

Private Sub SbAnzeigenblock_gruen_Change()
SbAnzeigenblockChanger
End Sub

Private Sub SbAnzeigenblock_blau_Change()
SbAnzeigenblockChanger
End Sub

Sub SbAnzeigenblockChanger()
'weiss=16777215=256*256*255+256*255+255
Dim x As Long, blau As String, gruen As String, rot As String
x = SbAnzeigenblock_rot.Value * 256 * 256 + SbAnzeigenblock_gruen.Value * 256 + SbAnzeigenblock_blau.Value
blau = Hex(SbAnzeigenblock_blau.Value)
gruen = Hex(SbAnzeigenblock_gruen.Value)
rot = Hex(SbAnzeigenblock_rot.Value)
If Len(blau) = 1 Then blau = "0" & blau
If Len(gruen) = 1 Then gruen = "0" & gruen
If Len(rot) = 1 Then rot = "0" & rot
Select Case ImgElementAnzeigenblockAktiv
  Case 1
    ImgAnzeigenblockBorder.BackColor = x
    TbAnzeigenblockBorder.text = blau & gruen & rot
  Case 2
    ImgAnzeigenblockBg.BackColor = x
    TbAnzeigenblockBg.text = blau & gruen & rot
  Case 3
    ImgAnzeigenblockLink.BackColor = x
    TbAnzeigenblockLink.text = blau & gruen & rot
  Case 4
    ImgAnzeigenblockText.BackColor = x
    TbAnzeigenblockText.text = blau & gruen & rot
  Case 5
    ImgAnzeigenblockUrl.BackColor = x
    TbAnzeigenblockUrl.text = blau & gruen & rot
End Select
CboAnzeigenblockFarbvorlage.ListIndex = 7
End Sub

Private Sub CommandButton1_Click()
TbOutput.text = TbOutput.text & CboAnzeigenblockFormate.text
TbOutput.text = TbOutput.text & "der Wert ist   " & SbAnzeigenblock_rot.Value + SbAnzeigenblock_gruen.Value * 256 + SbAnzeigenblock_blau.Value * 256 * 256 & vbCrLf
TbOutput.text = TbOutput.text & "oder #" & TbAnzeigenblockBorder.text & vbCrLf
Dim x As MultiPage
Set x = MultiPage1
MultiPage1.Value = 3

End Sub

Private Sub CboAnzeigenblockFormate_Change()
If OpbAnzeigenblockDivOptJA = True Then
  Select Case CboAnzeigenblockFormate.ListIndex
    Case 0
      TbAnzeigenblockHoehe.Value = 90
      TbAnzeigenblockBreite.Value = 728
    Case 1
      TbAnzeigenblockHoehe.Value = 60
      TbAnzeigenblockBreite.Value = 468
    Case 2
      TbAnzeigenblockHoehe.Value = 60
      TbAnzeigenblockBreite.Value = 234
    Case 3
      TbAnzeigenblockHoehe.Value = 600
      TbAnzeigenblockBreite.Value = 120
    Case 4
      TbAnzeigenblockHoehe.Value = 600
      TbAnzeigenblockBreite.Value = 160
    Case 5
      TbAnzeigenblockHoehe.Value = 240
      TbAnzeigenblockBreite.Value = 120
    Case 6
      TbAnzeigenblockHoehe.Value = 280
      TbAnzeigenblockBreite.Value = 336
    Case 7
      TbAnzeigenblockHoehe.Value = 250
      TbAnzeigenblockBreite.Value = 300
    Case 8
      TbAnzeigenblockHoehe.Value = 250
      TbAnzeigenblockBreite.Value = 250
    Case 9
      TbAnzeigenblockHoehe.Value = 200
      TbAnzeigenblockBreite.Value = 200
    Case 10
      TbAnzeigenblockHoehe.Value = 150
      TbAnzeigenblockBreite.Value = 180
    Case 11
      TbAnzeigenblockHoehe.Value = 125
      TbAnzeigenblockBreite.Value = 125
    End Select
End If
End Sub

